package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户表
 * @TableName system_user
 */
@TableName(value ="system_user")
@Data
public class SystemUser implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 头像id
     */
    private String headPicId;

    /**
     * 账户名
     */
    private String account;

    /**
     * 用户名
     */
    private String username;

    /**
     * 手机号码
     */
    private String phoneNum;

    /**
     * 账号状态 0正常 1停用
     */
    private Integer status;

    /**
     * 用户pw的编码值
     */
    private String userPd;

    /**
     * 人员所属部门ID
     */
    private String deptId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 最近登录时间
     */
    private Date recentLoginTime;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}